//
//  DXWBAppDelegate.h
//  doxygenWorkBench
//
//  Created by narita on 2017/04/06.
//  Copyright © 2017年 narita. All rights reserved.
//

#import <Cocoa/Cocoa.h>

//@{

/**
 NSApp.delegateへのアクセッサ(opt+cmd+/で自動でコメント出来なかった。)

 自動コメント出来ない構文は多様すべきではないのかもしれない。
 */
#define AppDelegate ((DXWBAppDelegate *)[NSApp delegate])

/**
 NSString定数の宣言。(opt+cmd+/で自動でコメント出来なかった。)
 
 さらに詳細な記述をここに行う。JAVADOC_AUTOBRIEFをYESにした場合は、1行目から空の行を開けて記述すると詳細なコメントを入れられる。
*/
extern NSString* const DXWBAppConstString;


/**
 DXWBAppDelegateに関わるエラー定数。(opt+cmd+/で自動でコメント出来なかった。)
 
 自動コメント出来ない構文は多様すべきではないのかもしれない。
 */

enum E_DXWBAppDelegateError
{
    /// 読み込みエラー　(opt+cmd+/で自動でコメント出来なかった。)
    DXWBAppReadInapplicableDocumentTypeError,
    
    /// 書き出しエラー
    
    
    DXWBAppWriteInapplicableDocumentTypeError
};



/**
 主に、NSAppに関わるイベント処理や全体の初期化処理などを行う。
 
 1行あけてから、クラスの主な機能をかく。
 - 何の動作に責任を持つか？
 - 実行時に協調するクラスはどれか？
  */
@interface DXWBAppDelegate : NSObject <NSApplicationDelegate>

@end


//@}
